package com.gree.mall.contest.bean.order;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

@Data
public class OrderShareReportBean {

    @Schema(description = "商城名称")
    private String shopName;

    @Schema(description = "结算编号")
    private String orderShareId;

    @Schema(description = "订单号")
    private String orderId;

   /* @ApiModelProperty("商品名")
    private String goodsName;*/

    /*@ApiModelProperty("单价")
    private BigDecimal price;*/

    /*@ApiModelProperty("数量")
    private Integer num;*/

    @Schema(description = "总价")
    private BigDecimal totalPrice;
    @Schema(description = "实付金额")
    private BigDecimal payAmount;
    @Schema(description = "运费")
    private BigDecimal freight;

    @Schema(description = "订单状态,是否售后")
    private String orderStatus;
    @Schema(description = "退款标记ING(退款中),PARTLY(部分退),ALL(全部退),COMMONLY(正常状态)")
    private String refundFlag;

    @Schema(description = "下单用户账号")
    private String userId;

    @Schema(description = "下单时间")
    private Date createTime;

    @Schema(description = "支付方式")
    private String payType;

    @Schema(description = "支付时间")
    private Date payTime;

    @Schema(description = "买家备注")
    private String remark;

    @Schema(description = "收货人")
    private String receUserName;

    @Schema(description = "收货电话")
    private String recePhone;

    @Schema(description = "收货地址")
    private String address;

    @Schema(description = "物流单号")
    private String logisticsNo;

    @Schema(description = "物流公司")
    private String name;

    @Schema(description = "发票类型")
    private Boolean type;

    @Schema(description = "发票抬头")
    private String taxName;

    @Schema(description = "发票内容")
    private String content;

    @Schema(description = "纳税人识别号")
    private String taxNo;

    @Schema(description = "公司注册地址")
    private String registerAddress;

    @Schema(description = "公司注册电话")
    private String registerPhone;

    @Schema(description = "开户行")
    private String bank;

    @Schema(description = "开户账号")
    private String account;

    @Schema(description = "接收邮箱")
    private String receiverEmail;

    @Schema(description = "接收手机号")
    private String receiverPhone;

    @Schema(description = "发票收件人")
    private String receiverName;

    @Schema(description = "发票收件地址")
    private String receiverAddress;

    @Schema(description = "折扣金额")
    private BigDecimal discountAmount;

    @Schema(description = "优惠券名称")
    private String couponName;

    @Schema(description = "交易号")
    private String transactionId;

    @Schema(description = "佣金结算状态")
    private String shareStatus;

    @Schema(description = "分销员")
    private String workUserName;

    @Schema(description = "所属网点")
    private String websitName;

/*
    @Schema(description = "商品佣金")
    private BigDecimal shareAmount;
*/

    @Schema(description = "订单佣金")
    private BigDecimal amount;

    @Schema(description = "结算时间")
    private Date settleTime;


    @Schema(description = "职位")
    private String position;
/*    @Schema(description = "大类编号")
    private String mainNumber;*/


}
