package com.gree.mall.contest.commonmapper;

import cn.hutool.core.date.DateTime;
import com.baomidou.mybatisplus.annotation.InterceptorIgnore;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.gree.mall.contest.bean.common.AmityUrlVO;
import com.gree.mall.contest.bean.common.CarouselMapVO;
import com.gree.mall.contest.bean.manage.NotifyRecordVO;
import com.gree.mall.contest.bean.manage.NotifyVO;
import com.gree.mall.contest.bean.manage.UserTopPopVO;
import com.gree.mall.contest.bean.member.UserVO;
import com.gree.mall.contest.bean.merchant.MerchantRegionVO;
import com.gree.mall.contest.bean.merchant.MerchantVO;
import com.gree.mall.contest.bean.merchant.WebsitApplyVO;
import com.gree.mall.contest.bean.store.PlatformStoreVO;
import com.gree.mall.contest.bean.tax.OrderTaxExcelBean;
import com.gree.mall.contest.bean.zfire.ZfireParamBean;
import com.gree.mall.contest.plus.entity.GoodsCategory;
import com.gree.mall.contest.plus.entity.UserTopPop;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface CommonMapper {

    /**
     * 友情链接
     *
     * @param page
     * @param zfireParamBean
     * @return
     */
    IPage<AmityUrlVO> amityList(Page page, @Param("ex") ZfireParamBean zfireParamBean);

    /**
     * 轮播图列表
     *
     * @param page
     * @param zfireParamBean
     * @return
     */
    IPage<CarouselMapVO> carouselMapList(Page page, @Param("ex") ZfireParamBean zfireParamBean);

    /**
     * 通知公告列表
     *
     * @param page
     * @param zfireParamBean
     * @return
     */
    IPage<NotifyVO> notifyList(Page page, @Param("ex") ZfireParamBean zfireParamBean);

    /**
     * 通知记录列表
     *
     * @param page
     * @param zfireParamBean
     * @return
     */
    IPage<NotifyRecordVO> notifyReadList(Page page, @Param("ex") ZfireParamBean zfireParamBean);

    /**
     * 首页弹窗配置列表
     *
     * @param page
     * @param zfireParamBean
     * @return
     */
    IPage<UserTopPopVO> topPopList(Page page, @Param("ex") ZfireParamBean zfireParamBean);

    List<UserTopPop> queryTopPopVaildRecord(@Param("curDate") DateTime curDate, @Param("popIds") List<String> popIds);

    /**
     * 申请列表
     *
     * @param page
     * @param zfireParamBean
     * @return
     */
    IPage<WebsitApplyVO> pageApply(Page page, @Param("ex") ZfireParamBean zfireParamBean);

    /**
     * 商家列表
     *
     * @param page
     * @param zfireParamBean
     * @return
     */
    IPage<MerchantVO> MerchantPage(Page page, @Param("ex") ZfireParamBean zfireParamBean, @Param("serviceProviderId") String serivceProviderId);

    /**
     * 商家服务街道列表
     *
     * @param page
     * @param zfireParamBean
     * @return
     */
    IPage<MerchantRegionVO> listMerchantRegion(Page page, @Param("ex") ZfireParamBean zfireParamBean, @Param("serviceProviderId") String serivceProviderId);

    /**
     * 平台门店列表
     *
     * @param page
     * @param zfireParamBean
     * @return
     */
    IPage<PlatformStoreVO> platformStorePage(Page page, @Param("ex") ZfireParamBean zfireParamBean);


    @InterceptorIgnore(tenantLine = "true")
    List<GoodsCategory> queryGoodsCategoryByOrderId(@Param("orderId") String orderId);

    List<OrderTaxExcelBean> queryOrderTaxExcelMsg(@Param("companyWechatIds") List<String> companyWechatIds, @Param("adminWebsitIds") List<String> adminWebsitIds
            , @Param("status") Boolean status, @Param("orderId") String orderId);

    IPage<UserVO> userV2Page(Page page, @Param("ex") ZfireParamBean zfireParamBean);
}
