package com.gree.mall.contest.commonmapper;

import com.baomidou.mybatisplus.annotation.InterceptorIgnore;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.gree.mall.contest.bean.goods.*;
import com.gree.mall.contest.plus.entity.CommonTemplate;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface GoodsSpecDetailMapper {

    @InterceptorIgnore(tenantLine = "true")
    List<GoodsSpecSecBean> querySpecSec(@Param("goodsId") String goodsId);
    @InterceptorIgnore(tenantLine = "true")
    CommonTemplate queryCommonTemplate(@Param("goodsId") String goodsId);
    /**
     * 团购商品列表
     */
    @InterceptorIgnore(tenantLine = "true")
    IPage<PromotionGoodsBean> queryPromotionGoods(IPage page,
                                                         @Param("userId") String userId,
                                                         @Param("goodsCategoryId") String goodsCategoryId,
                                                         @Param("keyword") String keyword,
                                                         @Param("companyWechatId") String companyWechatId);

    /**
     * 商品评价列表
     */
    @InterceptorIgnore(tenantLine = "true")
    IPage<GoodsComment> goodsCommentList(IPage page, @Param("companyWechatId")String companyWechatId,
                                                @Param("goodsId") String goodsId, @Param("tag") String tag);

    /**
     * 商品评价汇总
     */
    @InterceptorIgnore(tenantLine = "true")
    List<CommentTagCount> goodsCommentCount(@Param("companyWechatId")String companyWechatId,@Param("goodsId") String goodsId);


    /**
     * 套购商品列表
     */
    @InterceptorIgnore(tenantLine = "true")
    List<GoodsPackageBean> queryGoodsPackage(@Param("userId") String userId,
                                                    @Param("userType") String userType,
                                                    @Param("goodsId") String goodsId,
                                                    @Param("companyWechatId") String companyWechatId);


    /**
     * 商品列表
     */
    @InterceptorIgnore(tenantLine = "true")
    IPage<GoodsNewBean> queryGoodsList(IPage page, @Param("userId") String userId,
                                              @Param("userType") String userType,
                                              @Param("keyword") String keyword,
                                              @Param("categoryId") String categoryId,
                                              @Param("sort") Integer sort,
                                              @Param("companyWechatId") String companyWechatId);


}
