package com.gree.mall.contest.commonmapper;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.gree.mall.contest.bean.activity.PromotionGroupDetail;
import com.gree.mall.contest.plus.entity.PromotionGroupSpecUser;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.math.BigDecimal;

@Mapper
public interface PromotionMapper {

    /**
     * 查询团购活动订单总金额
     */
    BigDecimal queryOrderTotalAmount(@Param("promotionGroupId") String promotionGroupId);
    /**
     * 查询团购活动的分佣总金额
     */
    BigDecimal queryTotalShareAmount(@Param("status") String status,@Param("promotionGroupId") String promotionGroupId,@Param("userId") String userId);
    /**
     * 订单台数
     */
    Integer queryTotalGoodsNum(@Param("promotionGroupId") String promotionGroupId,@Param("userId") String userId);
    /**
     * 查询参与了该活动的团长列表
     */
    IPage<PromotionGroupSpecUser> queryGroupSpecUser(IPage page, @Param("promotionGroupId") String promotionGroupId);
    /**
     * 团购活动统计
     */
    PromotionGroupDetail queryPtDetail(@Param("promotionGroupId") String promotionGroupId, @Param("userId") String userId);



}
