package com.gree.mall.contest.controller.pc.admin;

import com.gree.mall.contest.helper.ResponseHelper;
import com.gree.mall.contest.logic.admin.AdminCompanyWechatOtherLogic;
import com.gree.mall.contest.plus.entity.AdminCompanyWechatOther;
import io.swagger.v3.oas.annotations.Operation;
import io.swagger.v3.oas.annotations.Parameter;
import io.swagger.v3.oas.annotations.tags.Tag;
import lombok.RequiredArgsConstructor;
import org.springframework.web.bind.annotation.*;

import javax.servlet.http.HttpServletRequest;

@RestController
@Tag(name = "小程序其他配置", description = "小程序其他配置")
@RequestMapping(value = "/pc/admin/company/other", produces = "application/json; charset=utf-8")
@RequiredArgsConstructor
public class AdminCompanyWechatOtherController {
    
    private final AdminCompanyWechatOtherLogic adminCompanyWechatOtherLogic;


    @GetMapping("/getOne")
    @Operation(summary = "获取企业其他配置")
    public ResponseHelper<AdminCompanyWechatOther> getOne(HttpServletRequest request) {

        return ResponseHelper.success(adminCompanyWechatOtherLogic.getOne(request));
    }

    @PostMapping("/init")
    @Operation(summary = "初始化其他配置")
    public ResponseHelper init(
            @Parameter(description = "企业微信id", required = true) @RequestParam String companyId,
            @Parameter(description = "企业名称", required = true) @RequestParam String companyName) {
        adminCompanyWechatOtherLogic.init(companyId, companyName);
        return ResponseHelper.success();
    }

    @Operation(summary = "更新其他配置")
    @PostMapping("/update")
    public ResponseHelper update(@RequestBody AdminCompanyWechatOther other, HttpServletRequest request) {
        adminCompanyWechatOtherLogic.update(other,request);
        return ResponseHelper.success();
    }
}
