package com.gree.mall.contest.controller.pc.goods;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.gree.mall.contest.helper.ResponseHelper;
import com.gree.mall.contest.logic.goods.GoodsTagLogic;
import com.gree.mall.contest.plus.entity.GoodsTag;
import io.swagger.v3.oas.annotations.Operation;
import io.swagger.v3.oas.annotations.Parameter;
import io.swagger.v3.oas.annotations.tags.Tag;
import lombok.RequiredArgsConstructor;
import org.springframework.web.bind.annotation.*;

import javax.servlet.http.HttpServletRequest;

@RestController
@Tag(name = "商品标签", description = "商品标签")
@RequestMapping(value = "/pc/goods/tag/", produces = "application/json; charset=utf-8")
@RequiredArgsConstructor
public class GoodsTagController {
    
    private final GoodsTagLogic goodsTagLogic;
    
    @Operation(summary = "分页查询商品标签")
    @GetMapping("/page")
    public ResponseHelper<IPage<GoodsTag>> pageGoodsTag(
            HttpServletRequest request,
            @Parameter(description ="1 属性标签  2标签",required = true) @RequestParam(required = true) Integer type,
            @Parameter(description = "页号",required = true) @RequestParam("pageNum") Integer pageNum,
            @Parameter(description = "页大小(-1即为不分页)", required = true) @RequestParam("pageSize") Integer pageSize
    ) {
        return ResponseHelper.success(goodsTagLogic.pageGoodsTag(request, pageNum, pageSize,type));
    }


    @Operation(summary = "批量编辑标签")
    @PostMapping("/add")
    public ResponseHelper updateGoodsTag(
            HttpServletRequest request,
            @Parameter(description="标签(格式: 标签1,标签2 )",required = true) @RequestParam(required = true) String tags,
            @Parameter(description="1 属性标签  2标签",required = true) @RequestParam(required = true) Integer type
    ) {
        goodsTagLogic.updateGoodsTag(request, tags,type);
        return ResponseHelper.success();
    }


}
